package com.hzs.member.statis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hzs.common.domain.member.statis.CuBonusVertexStatis;
import com.hzs.member.statis.vo.CuBonusLenjoyStatisVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 奖金拨比零线统计 Mapper 接口
 */
public interface CuBonusLenjoyStatisMapper extends BaseMapper<CuBonusVertexStatis> {

    /**
     * 奖金拨比列表
     **/
    List<CuBonusLenjoyStatisVO> queryCuBonusStatis(CuBonusLenjoyStatisVO CuBonusLenjoyStatisVO);

    /**
     * 奖金拨比列表统计小计（最后一行）
     **/
    CuBonusLenjoyStatisVO queryCuBonusSumStatis(CuBonusLenjoyStatisVO CuBonusLenjoyStatisVO);

    /**
     * 7天重算查询订单
     **/
    List<CuBonusLenjoyStatisVO> queryAnewSaOrderByLessDay(CuBonusLenjoyStatisVO CuBonusLenjoyStatisVO);

    /**
     * 删除奖金拨比统计表数据
     **/
    Boolean delStatis(@Param("startDate") String startDate,
                      @Param("endDate") String endDate,
                      @Param("pkVertexList") List<Integer> pkVertexList);

    /**
     * 查询中国奖金
     **/
    List<CuBonusLenjoyStatisVO> queryChinaCountryBonus(CuBonusLenjoyStatisVO CuBonusLenjoyStatisVO);

    /**
     * 查询7天重算奖金查询
     **/
    List<CuBonusLenjoyStatisVO> queryVertexChinaCountryBonus(CuBonusLenjoyStatisVO CuBonusLenjoyStatisVO);

    /**
     * 查询有效顶点
     **/
    List<CuBonusLenjoyStatisVO> vertexList(@Param("pkVertex") Integer pkVertex);

    /**
     * 查询当天团队统计数据
     **/
    List<CuBonusVertexStatis> getCuBonusStatis(CuBonusVertexStatis CuBonusVertexStatis);

}
